DataMuseum.dk

Presents historical artifacts from the history of:

Regnecentalen RC-900

This is an automatic "excavation" of a thematic subset of
artifacts from Datamuseum.dk's BitArchive.

See our Wiki for more about Regnecentalen RC-900

Excavated with: AutoArchaeologist - Free & Open Source Software.


top - download

⟦6ed28de6a⟧ TextFile

    Length: 2464 (0x9a0)
    Types: TextFile
    Notes: UNIX file
    Names: »ftsmgmt«

Derivation

└─⟦6c3d40b06⟧ Bits:30004150 SW95702I LANCOM 2.1
└─⟦6c3d40b06⟧ UNIX Filesystem
    └─ ⟦this⟧ »LC/new/usr/admin/menu/packagemgmt/ftsmgmt« 

TextFile

#ident#	fts mgmt
#menu# Start/stop FTS server (File Transfer Service)
#help#
#help#  The FTS server offers file transfer services to computers
#help#  connected to RcLAN. The server can be accessed via the RcLAN
#help#  by the file transfer utilities rr and wr.

trap 'exit 0' 1 2 3 9 15
flags="-qq -k$$"

# Make sure that LANCOM has already been installed on the
# system - the easiest way to do this is to check for the
# existence of the LANCOM package id.

INITTAB=/etc/inittab

sco2num() {
case $1 {
reg*)	echo 2;;
*)		echo 3;;
}
}

num2sco() {
case $1 {
2)	echo regional;;
*)	echo global;;
}
}

FTSCOPES="`num2sco 2` `num2sco 3`"

if [ ! -s /usr/options/LC.name ] 
then
	/bin/echo "The LANCOM package has not been installed on your system."
	/bin/echo "Please use the command:"
	/bin/echo "      sysadm installpkg"
	/bin/echo "to install the LANCOM package."
	exit 1
fi

while : ; do
SERV=`grep '^fts:' $INITTAB 2>/dev/null | cut -d: -f4- | tail -1`
SCOPE=`expr "//$SERV" : '.*-s[ 	]*\([1-3]\)' \| 3`
SCOPE=`num2sco $SCOPE`
FINC=`expr "//$SERV" : '.*-i[ 	]*\([0-9]\{1,\}\)' \| 4`

if [ "$SERV" = "" ]; then
	echo "
The FTS server is now disabled"
	inst=`checkyn ${flags} -fe -H"
This procedure sets up the file transfer service,
allowing other machines to access files and run
programs on this machine" "
Do you wish to set up the FTS?"`

	if [ "${inst}" = "n" ]
	then
		break
	fi
	NEWSCO=`checklist ${flags} -fep -H"
The scope specifies the visibility of the FTS server
in the network. Global means that every machine
sees it, regional means only those machines in
the same region." -D "$SCOPE" "
Possible scopes are: $FTSCOPES.
Enter the scope for FTS (default: $SCOPE) [r, g, q, ?]?" $FTSCOPES`

	if checkyn ${flags} -f "Do you want to start a $NEWSCO fts?"

	then
		echo "
	Enabling FTS..."
		if echo "fts:23:respawn:sh -c '. /etc/TIMEZONE;exec /etc/fts -s `sco2num $NEWSCO` -i $FINC >/dev/null 2>&1 </dev/null'" >> $INITTAB
		then :
		else echo "Modification of $INITTAB failed!!"
		fi
	fi
else
	echo "
FTS is running with $SCOPE scope"
	inst=`checkyn ${flags} -fe -H"
This procedure removes the file transfer service
thus disabling other machines from access to files
and programs on this machine" "
Do you wish to disable the FTS server?"`

	[ "${inst}" = "n" ] && break
		echo "
	Disabling FTS..."
	ed - >/dev/null 2>&1 $INITTAB <<-!
		g/^fts:/d
		w
		q
	!
	if [ $? != 0 ];then
		echo "Modification of $INITTAB failed!!"
	fi
fi
/etc/init q
done
exit